apt 2.9.8 commandline package manager

Public Member Functions | Protected Attributes | List of all members
debRecordParserBase Class Reference
Inheritance diagram for debRecordParserBase:

## Public Member Functions
virtual std::string | FileName () APT_OVERRIDE
virtual std::string | SourcePkg () APT_OVERRIDE
virtual std::string | SourceVer () APT_OVERRIDE
virtual HashStringList | Hashes () const APT_OVERRIDE
virtual std::string | Maintainer () APT_OVERRIDE
virtual std::string | ShortDesc (std::string const &lang) APT_OVERRIDE
virtual std::string | LongDesc (std::string const &lang) APT_OVERRIDE
virtual std::string | Name () APT_OVERRIDE
virtual std::string | Homepage () APT_OVERRIDE
virtual std::string | RecordField (const char *fieldName) APT_OVERRIDE
virtual void | GetRec (const char *&Start, const char *&Stop) APT_OVERRIDE
Public Member Functions inherited from pkgRecords::Parser
std::string | ShortDesc ()
std::string | LongDesc ()

## Protected Attributes
pkgTagSection | Section

## Additional Inherited Members
Protected Member Functions inherited from pkgRecords::Parser
virtual bool | Jump (pkgCache::VerFileIterator const &Ver)=0
virtual bool | Jump (pkgCache::DescFileIterator const &Desc)=0

## Member Function Documentation

## ◆ FileName()

string FileName | ( |  | ) |
| virtual

Reimplemented from pkgRecords::Parser.

## ◆ GetRec()

void GetRec | ( | const char *& | Start,
|  | const char *& | Stop )
| virtual

Reimplemented from pkgRecords::Parser.

## ◆ Hashes()

HashStringList Hashes | ( |  | ) | const
| virtual

return all known hashes in this record.

For authentication proposes packages come with hashsums which this method is supposed to parse and return so that clients can choose the hash to be used.

Reimplemented from pkgRecords::Parser.

References HashStringList::FileSize(), and HashStringList::push_back().

## ◆ Homepage()

string Homepage | ( |  | ) |
| virtual

Reimplemented from pkgRecords::Parser.

## ◆ LongDesc()

string LongDesc | ( | std::string const & |  | ) |
| virtual

return long description in language from record.

If lang is empty the "best" available language will be returned as determined by the APT::Languages configuration. If a (requested) language can't be found in this record an empty string will be returned.

Reimplemented from pkgRecords::Parser.

References LongDesc().

Referenced by LongDesc(), and ShortDesc().

## ◆ Maintainer()

string Maintainer | ( |  | ) |
| virtual

Reimplemented from pkgRecords::Parser.

## ◆ Name()

string Name | ( |  | ) |
| virtual

Reimplemented from pkgRecords::Parser.

## ◆ RecordField()

string RecordField | ( | const char * | fieldName | ) |
| virtual

Reimplemented from pkgRecords::Parser.

## ◆ ShortDesc()

string ShortDesc | ( | std::string const & |  | ) |
| virtual

return short description in language from record.

See also
  LongDesc

Reimplemented from pkgRecords::Parser.

References LongDesc(), and ShortDesc().

Referenced by ShortDesc().

## ◆ SourcePkg()

string SourcePkg | ( |  | ) |
| virtual

Reimplemented from pkgRecords::Parser.

## ◆ SourceVer()

string SourceVer | ( |  | ) |
| virtual

Reimplemented from pkgRecords::Parser.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debrecords.h
- apt-pkg/deb/debrecords.cc